# Note that this is NOT a relocatable package

%define major       0
%define libname     lib%{name}%{major}

Summary:   A KDE tabulature editor 
Name:      kguitar 
Version:   0.4.1.0
Release:   2mdk
License:   GPL
Group:     Sound
Source:   kguitar-%version.tar.bz2
Patch:	  kguitar-0.4.1.0-fixes.patch.bz2
Patch1:   kguitar-0.4.1.0-gp3.patch.bz2
Patch2:   kguitar-0.4.1.0-allfiles.patch.bz2
URL:       http://kguitar.sourceforge.net/ 
BuildRoot: %{_tmppath}/%name-root
# For texhash:
Requires: tetex %libname


%description
KGuitar is basically a guitar tabulature editor for K Desktop
Environment. It's much more than just a tab editor. It's features are:

* free GPLed K Desktop Environment GUI
* Powerful and convenient tabulature editing, including many effects
  and classical note score editing for classic instrument players;
* Full and very customizable MIDI to tabulature import and export;
* Support of extra data formats, such as ASCII tabulatures or popular
  programs' format, such as Guitar Pro's or TablEdit;
* Chord fingering construction tools - chord finder & chord analyzer;
* Highly customizable to suit a lot of possible instruments (not only
  6-stringed guitars, and even not only guitars), including drum tracks,
  lyrics and other MIDI events.

Well, right now KGuitar is in very alpha state and doesn't support
everything stated. However, it already features a nice tabulature
editor, though not ultimately powerful, loading/saving its own format (kg
files) and all the chord construction tools.


%package -n %libname
Epoch:      1
Summary:    KGuitar libraries 
Group:      System/Libraries
Provides: libkguitar
Obsoletes: libkguitar

%description -n %{libname}
This is the shared librairies of KGuitar. 

%package -n %libname-devel
Summary:    KGuitar devel stuff 
Group:      Development/C
Requires: %libname = %version
Provides: libkguitar-devel
Obsoletes: libkguitar-devel

%description -n %{libname}-devel
This is the development part of KGuitar librairies. 

%prep
%setup
%patch0 -p1
%patch1 -p1 -b .gp3
%patch2 -p1 -b .all

%build
make -f Makefile.cvs
%configure --disable-rpath
for i in Makefile kguitar/Makefile{.in,}; do
	perl -pi -e 's! --tag=CXX!!g' $i
done
%make

%install
%makeinstall TEXMF=$RPM_BUILD_ROOT/usr/share/texmf
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -p /usr/bin/texhash
%postun -p /usr/bin/texhash

%files -f %name.lang
%defattr(-,root,root)
%doc README DEVELOPERS COPYING AUTHORS ChangeLog
%attr(755,root,root) %_bindir/*
%_datadir/applnk/Multimedia/kguitar.desktop
%_datadir/apps/kguitar
%_iconsdir/*/*/mimetypes/kguitar_tab.png
%_iconsdir/*/*/apps/kguitar.png
%_datadir/mimelnk/application/x-kguitar.desktop
%_datadir/services/kguitar_component.desktop
%_datadir/texmf/tex/generic/kgtabs

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so
%_libdir/*.la


%changelog
* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0-2mdk
- Sylvain Vignaud :
	o patch1: add support for gp3 files
	o patch2: change default file loader filter to show all supported formats

* Mon Sep 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1.0-1mdk
- 20020909 cvs snapshot (kde3 port)
- patch0: g++-3 support

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-2mdk
- rebuild for new alsa

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-1mdk
- initial package on sly request
